Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Macros | Enumerations | Functions | Variables
publictypes.h File Reference

Go to the source code of this file.

## Namespaces

namespace | tesseract

## Macros

#define | PSM_OSD_ENABLED(pageseg_mode) ((pageseg_mode) <= PSM_AUTO_OSD)
#define | PSM_COL_FIND_ENABLED(pageseg_mode) ((pageseg_mode) >= PSM_AUTO_OSD && (pageseg_mode) <= PSM_AUTO)
#define | PSM_BLOCK_FIND_ENABLED(pageseg_mode) ((pageseg_mode) >= PSM_AUTO_OSD && (pageseg_mode) <= PSM_SINGLE_COLUMN)
#define | PSM_LINE_FIND_ENABLED(pageseg_mode) ((pageseg_mode) >= PSM_AUTO_OSD && (pageseg_mode) <= PSM_SINGLE_BLOCK)
#define | PSM_WORD_FIND_ENABLED(pageseg_mode) ((pageseg_mode) >= PSM_AUTO_OSD && (pageseg_mode) <= PSM_SINGLE_LINE)

## Enumerations

enum | PolyBlockType { PT_UNKNOWN, PT_FLOWING_TEXT, PT_HEADING_TEXT, PT_PULLOUT_TEXT, PT_EQUATION, PT_INLINE_EQUATION, PT_TABLE, PT_VERTICAL_TEXT, PT_CAPTION_TEXT, PT_FLOWING_IMAGE, PT_HEADING_IMAGE, PT_PULLOUT_IMAGE, PT_HORZ_LINE, PT_VERT_LINE, PT_NOISE, PT_COUNT }
enum | tesseract::Orientation { tesseract::ORIENTATION_PAGE_UP = 0, tesseract::ORIENTATION_PAGE_RIGHT = 1, tesseract::ORIENTATION_PAGE_DOWN = 2, tesseract::ORIENTATION_PAGE_LEFT = 3 }
enum | tesseract::WritingDirection { tesseract::WRITING_DIRECTION_LEFT_TO_RIGHT = 0, tesseract::WRITING_DIRECTION_RIGHT_TO_LEFT = 1, tesseract::WRITING_DIRECTION_TOP_TO_BOTTOM = 2 }
enum | tesseract::TextlineOrder { tesseract::TEXTLINE_ORDER_LEFT_TO_RIGHT = 0, tesseract::TEXTLINE_ORDER_RIGHT_TO_LEFT = 1, tesseract::TEXTLINE_ORDER_TOP_TO_BOTTOM = 2 }
enum | tesseract::PageSegMode { tesseract::PSM_OSD_ONLY, tesseract::PSM_AUTO_OSD, tesseract::PSM_AUTO_ONLY, tesseract::PSM_AUTO, tesseract::PSM_SINGLE_COLUMN, tesseract::PSM_SINGLE_BLOCK_VERT_TEXT, tesseract::PSM_SINGLE_BLOCK, tesseract::PSM_SINGLE_LINE, tesseract::PSM_SINGLE_WORD, tesseract::PSM_CIRCLE_WORD, tesseract::PSM_SINGLE_CHAR, tesseract::PSM_COUNT }
enum | tesseract::PageIteratorLevel { tesseract::RIL_BLOCK, tesseract::RIL_PARA, tesseract::RIL_TEXTLINE, tesseract::RIL_WORD, tesseract::RIL_SYMBOL }
enum | tesseract::ParagraphJustification { tesseract::JUSTIFICATION_UNKNOWN, tesseract::JUSTIFICATION_LEFT, tesseract::JUSTIFICATION_CENTER, tesseract::JUSTIFICATION_RIGHT }
enum | tesseract::OcrEngineMode { tesseract::OEM_TESSERACT_ONLY, tesseract::OEM_CUBE_ONLY, tesseract::OEM_TESSERACT_CUBE_COMBINED, tesseract::OEM_DEFAULT }

## Functions

bool | PTIsLineType (PolyBlockType type)
bool | PTIsImageType (PolyBlockType type)
bool | PTIsTextType (PolyBlockType type)

## Variables

const int | kPointsPerInch = 72
const char * | kPolyBlockNames []

## Macro Definition Documentation

#define PSM_BLOCK_FIND_ENABLED | ( |  | pageseg_mode | ) | ((pageseg_mode) >= PSM_AUTO_OSD && (pageseg_mode) <= PSM_SINGLE_COLUMN)

Definition at line 173 of file publictypes.h.

#define PSM_COL_FIND_ENABLED | ( |  | pageseg_mode | ) | ((pageseg_mode) >= PSM_AUTO_OSD && (pageseg_mode) <= PSM_AUTO)

Definition at line 171 of file publictypes.h.

#define PSM_LINE_FIND_ENABLED | ( |  | pageseg_mode | ) | ((pageseg_mode) >= PSM_AUTO_OSD && (pageseg_mode) <= PSM_SINGLE_BLOCK)

Definition at line 175 of file publictypes.h.

#define PSM_OSD_ENABLED | ( |  | pageseg_mode | ) | ((pageseg_mode) <= PSM_AUTO_OSD)

Macros that act on a PageSegMode to determine whether components of layout analysis are enabled. Depend critically on the order of elements of PageSegMode.

Definition at line 170 of file publictypes.h.

#define PSM_WORD_FIND_ENABLED | ( |  | pageseg_mode | ) | ((pageseg_mode) >= PSM_AUTO_OSD && (pageseg_mode) <= PSM_SINGLE_LINE)

Definition at line 177 of file publictypes.h.

## Enumeration Type Documentation

enum PolyBlockType

Possible types for a POLY_BLOCK or ColPartition. Must be kept in sync with kPBColors in polyblk.cpp and PTIs*Type functions below, as well as kPolyBlockNames in publictypes.cpp. Used extensively by ColPartition, and POLY_BLOCK.

Enumerator:

  PT_UNKNOWN |
  PT_FLOWING_TEXT |
  PT_HEADING_TEXT |
  PT_PULLOUT_TEXT |
  PT_EQUATION |
  PT_INLINE_EQUATION |
  PT_TABLE |
  PT_VERTICAL_TEXT |
  PT_CAPTION_TEXT |
  PT_FLOWING_IMAGE |
  PT_HEADING_IMAGE |
  PT_PULLOUT_IMAGE |
  PT_HORZ_LINE |
  PT_VERT_LINE |
  PT_NOISE |
  PT_COUNT |

Definition at line 41 of file publictypes.h.

{
PT_UNKNOWN, // Type is not yet known. Keep as the first element.
PT_FLOWING_TEXT, // Text that lives inside a column.
PT_HEADING_TEXT, // Text that spans more than one column.
PT_PULLOUT_TEXT, // Text that is in a cross-column pull-out region.
PT_EQUATION, // Partition belonging to an equation region.
PT_INLINE_EQUATION, // Partition has inline equation.
PT_TABLE, // Partition belonging to a table region.
PT_VERTICAL_TEXT, // Text-line runs vertically.
PT_CAPTION_TEXT, // Text that belongs to an image.
PT_FLOWING_IMAGE, // Image that lives inside a column.
PT_HEADING_IMAGE, // Image that spans more than one column.
PT_PULLOUT_IMAGE, // Image that is in a cross-column pull-out region.
PT_HORZ_LINE, // Horizontal Line.
PT_VERT_LINE, // Vertical Line.
PT_NOISE, // Lies outside of any column.
PT_COUNT
};

## Function Documentation

bool PTIsImageType | ( | PolyBlockType | type | ) |

inline

Returns true if PolyBlockType is of image type

Definition at line 65 of file publictypes.h.

{
return type == PT_FLOWING_IMAGE || type == PT_HEADING_IMAGE ||
type == PT_PULLOUT_IMAGE;
}

bool PTIsLineType | ( | PolyBlockType | type | ) |

inline

Returns true if PolyBlockType is of horizontal line type

Definition at line 61 of file publictypes.h.

{
return type == PT_HORZ_LINE || type == PT_VERT_LINE;
}

bool PTIsTextType | ( | PolyBlockType | type | ) |

inline

Returns true if PolyBlockType is of text type

Definition at line 70 of file publictypes.h.

{
return type == PT_FLOWING_TEXT || type == PT_HEADING_TEXT ||
type == PT_PULLOUT_TEXT || type == PT_TABLE ||
type == PT_VERTICAL_TEXT || type == PT_CAPTION_TEXT ||
type == PT_INLINE_EQUATION;
}

## Variable Documentation

const int kPointsPerInch = 72

Number of printers' points in an inch. The unit of the pointsize return.

Definition at line 33 of file publictypes.h.

const char* kPolyBlockNames[]

String name for each block type. Keep in sync with PolyBlockType.

Definition at line 23 of file publictypes.cpp.